Public Repository

Last pushed: 2 years ago
Short Description
Apache2 webserver with forced HTTP1.0 communication. Useful for educational purpose.
Full Description

Dockerfile

FROM ubuntu:14.04
MAINTAINER Netlab-HBRS netlab@inf.h-brs.de

RUN apt-get update
RUN apt-get -y install apache2
RUN echo '# HTTP-Version abhaengig vom Browser definieren' >> /etc/apache2/apache2.conf
RUN echo 'BrowserMatch "Mozilla" downgrade-1.0 force-response-1.0' >> /etc/apache2/apache2.conf

ENTRYPOINT ["/usr/sbin/apache2ctl", "-D", "FOREGROUND"]

Webbrowser

Use Firefox webbrowser to connect to the webserver, otherwise the webserver will response with HTTP1.1.

Usage

docker run -t -d -p 80:80 --name http1.0 netlab/http1.0-apache:v1.0

Docker Pull Command
Owner
netlab